#!/bin/sh

ROOT=/dev/sdb2
FS=ext4
CHDIR=/mnt/root

# Mount the root partition
sudo mount $ROOT -t $FS $CHDIR -o noatime,nodiratime

# Various needed pseudo fs dirs
sudo mount --bind /dev $CHDIR/dev
sudo mount --bind /proc $CHDIR/proc
sudo mount --bind /sys $CHDIR/sys
sudo mount --bind /dev/pts $CHDIR/dev/pts

# Uncomment to include /home
#sudo mount --bind /home $CHDIR/home

# Extra mounts
#sudo mount --bind /mnt/data $CHDIR/mnt/data

sudo chroot $CHDIR

sudo umount -R $CHDIR
